CueFrame
Api

Get a component's source

Required permission: projects:read

GET
/v1/components/{id}/source

Authorization

AuthorizationBearer <token>

API key auth. Prefix cf_live_ for production orgs, cf_test_ for sandbox.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/components/string/source"
{  "tsxSource": "string",  "name": "string",  "description": "string",  "propSchema": {    "property1": null,    "property2": null  },  "origin": "customer-owned",  "ejectedFrom": "string",  "tokens": {    "property1": null,    "property2": null  },  "examples": [    {      "property1": null,      "property2": null    }  ],  "durationInFrames": 1,  "manifest": {    "version": 2,    "assets": {      "property1": {        "kind": "image",        "required": true,        "mimeTypes": [          "string"        ],        "mediaDemand": {          "mode": "original"        }      },      "property2": {        "kind": "image",        "required": true,        "mimeTypes": [          "string"        ],        "mediaDemand": {          "mode": "original"        }      }    },    "graphics": {      "api": "canvas2d",      "required": true,      "accelerationPreference": "hardware-preferred"    },    "alphaPolicy": "requires-transparency",    "sceneShot": {      "version": 2    }  },  "id": "string",  "source": "default"}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "x402Version": 2,  "accepts": [    {}  ],  "error": "string"}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}